package com.zskk.dicom.monitor.config;

import com.zskk.dicom.monitor.utils.LogEnginer;

import java.io.File;
import java.util.ResourceBundle;

public class Configs {


    /**
     * 线程池启动中标识
     */
    public static boolean poolsStartingFlag = false;

    /**
     * 成功移除线程数
     */
    public static Integer successPoolsLength = 2;
    /**
     * 老重试线程数
     */
    public static Integer oldRetryPoolsLength = 2;
    /**
     * 当前上传线程数
     */
    public static Integer currentUploadPoolsLength = 4;
    /**
     * 老文件上传线程数
     */
    public static Integer oldUploadPoolsLength = 4;

    /**
     * 医院编号
     */
    public static String hospitalId = "11000001";

    /**
     * 监控的文件夹
     */
    public static String monitorDir = "d:\\test";
    /**
     * 监控的重试文件夹
     */
    public static String monitorRetryDir = "d:\\monitorRetry";
    /**
     * 重试失败文件夹
     */
    public static String errorDir = "d:\\eorrRetryDir";
    /**
     * 监控的备份文件夹(上传文件后，将文件转存出来)
     */
    public static String monitorBackDir = "d:\\test_back";

    /**
     * 上传的IP
     */
    public static String postHost = "127.0.0.1";

    /**
     * 上传的端口
     */
    public static Integer postPort = 1008;

    /**
     * 上传的URI
     */
    public static String postUri = "/upload";

    /**
     * 异常上报的邮件标题
     */
    public static String errReportTitle = "异常信息";

    /**
     * 异常上报的时间间隔(秒)
     */
    public static Long errReportTimeInterval = 60L;

    /**
     * 异常上报的接收邮箱<br />
     * 多个邮箱接收，使用“;”号分隔
     */
    public static String errReportToEmail = null;

    /**
     * 邮件发送邮箱
     */
    public static String errReportFromEmail = null;

    /**
     * 邮件发送邮箱的host信息
     */
    public static String errReportFromEmailHost = null;

    /**
     * 邮件发送邮箱的密码
     */
    public static String errReportFromEmailPwd = null;

    /**
     * 系统日志(包含系统、异常、业务处理等)
     */
    public static LogEnginer sysLog = new LogEnginer("sys");
    /**
     * 阿里云OSS region
     */
    public static String ossRegion = "oss-cn-beijing";
    /**
     * 阿里云OSS endpoint
     */
    public static String ossEndpoint = "oss-cn-beijing.aliyuncs.com";
    /**
     * 阿里云OSS bucket   zskk
     */
    public static String ossBucketName = "zhangzhanping";
    /**
     * 阿里云OSS 访问协议默认http
     */
    public static String ossScheme = "http";
    /**
     * 阿里云OSS 回调url
     */
    public static String ossCallbackUrl = "http://api.test.aliyuoss.callback.pacsonline.cn/oss_callback";
    /**
     * 阿里云OSS 回调url
     */
    public static String lcossCallbackUrl = "http://api.test.aliyuoss.callback.pacsonline.cn/oss_callback";
    /**
     * 上传方式 oss 和 fastdfs
     */
    public static String archiveWay = "oss";

    /**
     * 初始化配置信息
     */
    public static void initConfig() {
        ResourceBundle rb = ResourceBundle.getBundle("project");
        hospitalId = rb.getString("monitor.hospitalId");
        monitorDir = rb.getString("monitor.monitorDir");

        if (monitorDir.endsWith(File.separator)) {
            // 去掉路径最后一个路径分隔符
            monitorDir = monitorDir.substring(0, monitorDir.lastIndexOf(File.separator));
        }
        monitorBackDir = rb.getString("monitor.monitorBackDir");
        if (monitorBackDir.endsWith(File.separator)) {
            // 去掉路径最后一个路径分隔符
            monitorBackDir = monitorBackDir.substring(0, monitorBackDir.lastIndexOf(File.separator));
        }
        monitorRetryDir = rb.getString("monitor.monitorRetryDir");
        if (monitorRetryDir.endsWith(File.separator)) {
            // 去掉路径最后一个路径分隔符
            monitorRetryDir = monitorRetryDir.substring(0, monitorRetryDir.lastIndexOf(File.separator));
        }
        errorDir = rb.getString("monitor.errorDir");
        if (errorDir.endsWith(File.separator)) {
            // 去掉路径最后一个路径分隔符
            errorDir = errorDir.substring(0, errorDir.lastIndexOf(File.separator));
        }
    /*  monitorBackDir = monitorDir + "_back";
        monitorRetryDir=monitorDir+"_Retry";
        eorrRetryDir=monitorDir+"_Eorr";*/
        postHost = rb.getString("monitor.postHost");
        postUri = rb.getString("monitor.postUri");
        postPort = Integer.parseInt(rb.getString("monitor.postPort"));
        postUri = rb.getString("monitor.postUri");
        errReportTitle = rb.getString("monitor.errReportTitle");
        errReportTimeInterval = Long.parseLong(rb.getString("monitor.errReportTimeInterval"));
        errReportToEmail = rb.getString("monitor.errReportToEmail");
        errReportFromEmail = rb.getString("monitor.errReportFromEmail");
        errReportFromEmailHost = rb.getString("monitor.errReportFromEmailHost");
        errReportFromEmailPwd = rb.getString("monitor.errReportFromEmailPwd");

        ossRegion = rb.getString("monitor.oss.region");
        ossEndpoint = rb.getString("monitor.oss.endpoint");
        ossBucketName = rb.getString("monitor.oss.bucket");
        ossScheme = rb.getString("monitor.oss.scheme");
        ossCallbackUrl = rb.getString("monitor.oss.callback_url");
        lcossCallbackUrl = rb.getString("monitor.oss.lcossCallbackUrl");
        archiveWay = rb.getString("monitor.archiveWay");
        if(!"fastdfs".equals(archiveWay) && !"oss".equals(archiveWay)){
            archiveWay = "lcoss";
        }

        successPoolsLength = Integer.parseInt(rb.getString("monitor.pool.successPoolsLength"));
        oldRetryPoolsLength = Integer.parseInt(rb.getString("monitor.pool.oldRetryPoolsLength"));
        currentUploadPoolsLength = Integer.parseInt(rb.getString("monitor.pool.currentUploadPoolsLength"));
        oldUploadPoolsLength = Integer.parseInt(rb.getString("monitor.pool.oldUploadPoolsLength"));
    }
}
