package com.zskk.dicom.monitor.queue;

/**
 * 队列接口 定义队列方法
 * @param <T>
 */
public interface IQueue<T> {
    /**
     * 获取队列长度
     * @return
     */
    int size();

    /**
     * 出队列(删除队列首个元素并返回)
     * @return
     */
    T pop();

    /**
     * 获取队列首个元素
     * @return
     */
    T peek();

    /**
     * 入队列
     * @param t
     * @return
     */
    boolean push(T t);

    /**
     * 队列是否为空
     * @return
     */
    boolean empty();

    /**
     * 获取队列名称
     * @return
     */
    String getQueueName();

    /**
     * 队列初始化
     * @return
     */
    void init();

    /**
     * 队列销毁
     * @return
     */
    void destroy();
}
