package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.CurrentRetryUploadQueue;
import com.zskk.dicom.monitor.queue.ErrorQueue;
import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.queue.SuccessQueue;

public class RetryCurrentUploadRunner extends BaseUploadRunner {

    public RetryCurrentUploadRunner(IQueue<String> queue) {
        super(queue);
    }

    @Override
    protected IQueue<String> getSuccessQueue() {
        return SuccessQueue.getInstance();
    }

    @Override
    protected IQueue<String> getErrorQueue() {
        return ErrorQueue.getInstance();
    }

    @Override
    protected String getUploadFilePath() {
        return (String) CurrentRetryUploadQueue.getInstance().pop();
    }

    @Override
    protected String getRunnerName() {
        return "RetryCurrentUploadRunner";
    }

    @Override
    protected boolean exit() {
        return super.exit();
    }

    @Override
    protected RunnerAction action() {
        return RunnerAction.CURRENT_RETEY_UPLOAD;
    }
}
