package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.ErrorQueue;
import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.queue.OldRetryQueue;
import com.zskk.dicom.monitor.queue.SuccessQueue;

public class RetryHistoryUploadRunner extends BaseUploadRunner {

    public RetryHistoryUploadRunner(IQueue<String> queue) {
        super(queue);
    }

    @Override
    protected IQueue<String> getSuccessQueue() {
        return SuccessQueue.getInstance();
    }

    @Override
    protected IQueue<String> getErrorQueue() {
        return ErrorQueue.getInstance();
    }

    @Override
    protected String getUploadFilePath() {
        return (String) OldRetryQueue.getInstance().pop();
    }

    @Override
    protected String getRunnerName() {
        return "RetryHistoryUploadRunner";
    }

    @Override
    protected boolean exit() {
        return super.exit() || empty();
    }

    @Override
    protected RunnerAction action() {
        return RunnerAction.HISTORY_RETEY_UPLOAD;
    }
}
