package com.zskk.dicom.monitor.uploader;

import com.zskk.dicom.monitor.config.Configs;

import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class UploadsQueue {
    /**
     * 待处理的文件队列
     */
    public static List<File> fileQueue = Collections.synchronizedList(new ArrayList<File>());
    /**
     * 新处理的文件队列
     */
    public static List<File> currentFileQueue = Collections.synchronizedList(new ArrayList<File>());
    /**
     * 上传成功的文件队列
     */
    public static List<File> successFileQueue = Collections.synchronizedList(new ArrayList<File>());
    /**
     * 上传失败的文件队列
     */
    public static List<File> failFileQueue = Collections.synchronizedList(new ArrayList<File>());
    /**
     *
     * 功能描述: 新文件添加到集合
     *
     * @param: [file]
     * @return: void
     * @auther: zzp
     * @date: 2019/3/12 10:54
     */
    public static void addCurrent(File file) {
        if (currentFileQueue.contains(file)) {
            // 文件已经在队列中
            Configs.sysLog.info(file + ", The file is [already] in the [current] queue!");
        } else {
            currentFileQueue.add(file);
            Configs.sysLog.info(file + ", The file is [added] to the [current] queue!");
        }
    }

    public static void add(File file) {
        if (fileQueue.contains(file)) {
            // 文件已经在队列中
            Configs.sysLog.info(file + ", The file is already in the [old] queue!");
        } else {
            fileQueue.add(file);
            Configs.sysLog.info(file + ", The file is added to the [old] queue!");
        }
    }
    public static void addSuccess(File file) {
        if (successFileQueue.contains(file)) {
            // 文件已经在队列中
            Configs.sysLog.info(file + ", The file is already in the success queue!");
        } else {
            successFileQueue.add(file);
            Configs.sysLog.info(file + ", The file is added to the success queue!");
        }
    }
    public static void addFail(File file) {
        if (failFileQueue.contains(file)) {
            // 文件已经在队列中
            Configs.sysLog.info(file + ", The file is already in the fail queue!");
        } else {
            failFileQueue.add(file);
            Configs.sysLog.info(file + ", The file is added to the fail queue!");
        }
    }
}
